org.apache.cassandra.db.compaction

## Class CompactionIterable

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo.Holder
  - - org.apache.cassandra.db.compaction.AbstractCompactionIterable
    - - org.apache.cassandra.db.compaction.CompactionIterable

All Implemented Interfaces:
  java.lang.Iterable<AbstractCompactedRow>

    public class CompactionIterable
    extends AbstractCompactionIterable

### Nested Class Summary

Nested Classes
`protected class` `CompactionIterable.Reducer`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.compaction.AbstractCompactionIterable

`bytesRead, compactionId, controller, mergeCounters, scanners, totalBytes, type`

### Constructor Summary

Constructors
Constructor and Description
`CompactionIterable(OperationType type, java.util.List<ISSTableScanner> scanners, CompactionController controller, SSTableFormat.Type formatType, java.util.UUID compactionId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CloseableIterator<AbstractCompactedRow>` `iterator()`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.db.compaction.AbstractCompactionIterable

`getCompactionInfo, getMergedRowCounts, updateCounterFor`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionInfo.Holder

`finished, isStopRequested, started, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### CompactionIterable

    public CompactionIterable(OperationType type,
                              java.util.List<ISSTableScanner> scanners,
                              CompactionController controller,
                              SSTableFormat.Type formatType,
                              java.util.UUID compactionId)

### Method Detail

#### iterator

    public CloseableIterator<AbstractCompactedRow> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<AbstractCompactedRow>`
Specified by:
  `iterator` in class `AbstractCompactionIterable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`